'From Squeak3.4 of 1 March 2003 [latest update: #5170] on 29 March 2003 at 5:57:03 pm'!
"Change Set:		CelesteCleanUp1
Date:			9 December 2002
Author:			Daniel Vainsencher

Add a class MailSender that abstracts sending a message. Holds a registry of mail composition GUIs it can use. Remembers the users sending account details."!

AppRegistry subclass: #MailSender
	instanceVariableNames: ''
	classVariableNames: 'SmtpServer UserName '
	poolDictionaries: ''
	category: 'System-Applications'!

!MailSender class methodsFor: 'as yet unclassified' stamp: 'dvf 5/11/2002 01:31'!
isSmtpServerSet
	^ SmtpServer notNil and: [SmtpServer notEmpty]
! !

!MailSender class methodsFor: 'as yet unclassified' stamp: 'ads 3/29/2003 17:55'!
sendMessage: aMailMessage

	self preferred ifNotNil: [self preferred sendMailMessage: aMailMessage]! !

!MailSender class methodsFor: 'as yet unclassified' stamp: 'dvf 5/11/2002 01:34'!
setSmtpServer
	"Set the SMTP server used to send outgoing messages via"
	SmtpServer ifNil: [SmtpServer _ ''].
	SmtpServer _ FillInTheBlank
		request: 'What is your mail server for outgoing mail?'
		initialAnswer: SmtpServer.
! !

!MailSender class methodsFor: 'as yet unclassified' stamp: 'dvf 5/11/2002 00:49'!
setUserName
	"Change the user's email name for use in composing messages."

	(UserName isNil) ifTrue: [UserName _ ''].
	UserName _ FillInTheBlank
		request: 'What is your email address?\(This is the address other people will reply to you)' withCRs
		initialAnswer: UserName isoToSqueak.
	UserName ifNotNil: [UserName _ UserName squeakToIso]! !

!MailSender class methodsFor: 'as yet unclassified' stamp: 'dvf 5/11/2002 01:29'!
smtpServer
	"Answer the server for sending email"

	self isSmtpServerSet
		ifFalse: [self setSmtpServer].
	SmtpServer isEmpty ifTrue: [
		self error: 'no SMTP server specified' ].

	^SmtpServer! !

!MailSender class methodsFor: 'as yet unclassified' stamp: 'dvf 5/11/2002 00:49'!
userName
	"Answer the user name to be used in composing messages."

	(UserName isNil or: [UserName isEmpty])
		ifTrue: [self setUserName].

	UserName isEmpty ifTrue: [ self error: 'no user name specified' ].

	^UserName! !

"Postscript:
Recategorize classes that aren't really specific to Celeste"
SystemOrganization classify: #MailMessage under: 'Network-Url'.
SystemOrganization classify: #TextMessageLink under: 'Network-Url'.
SystemOrganization classify: #MIMEHeaderValue under: 'Network-Url'.

!

